Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.multislider
Class AbstractMultiThumbModel<E>

    java.lang.Object
      org.jdesktop.swingx.multislider.AbstractMultiThumbModel<E>

All Implemented Interfaces:
  java.lang.Iterable<Thumb<E>>, MultiThumbModel<E>

Direct Known Subclasses:
  DefaultMultiThumbModel

    public abstract class AbstractMultiThumbModel<E>

extends java.lang.Object
implements MultiThumbModel<E>

Author:
  jm158417

Field Summary
`protected float` | `maximumValue`
`protected float` | `minimumValue`
`protected java.util.List<ThumbDataListener>` | `thumbDataListeners`

Constructor Summary
`AbstractMultiThumbModel()` Creates a new instance of AbstractMultiThumbModel

Method Summary
`void` | `addThumbDataListener(ThumbDataListener listener)`
`protected void` | `fireThumbPositionChanged(Thumb<E> thumb)`
`protected void` | `fireThumbValueChanged(Thumb<E> thumb)`
`float` | `getMaximumValue()`
`float` | `getMinimumValue()`
`void` | `removeThumbDataListener(ThumbDataListener listener)`
`void` | `setMaximumValue(float maximumValue)`
`void` | `setMinimumValue(float minimumValue)`
`void` | `thumbPositionChanged(Thumb<E> thumb)`
`void` | `thumbValueChanged(Thumb<E> thumb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jdesktop.swingx.multislider.MultiThumbModel
`addThumb, getSortedThumbs, getThumbAt, getThumbCount, getThumbIndex, insertThumb, removeThumb`

Methods inherited from interface java.lang.Iterable
`iterator`

Field Detail

### maximumValue

    protected float maximumValue

### minimumValue

    protected float minimumValue

### thumbDataListeners

    protected java.util.List<ThumbDataListener> thumbDataListeners

Constructor Detail

### AbstractMultiThumbModel

    public AbstractMultiThumbModel()

  Creates a new instance of AbstractMultiThumbModel

Method Detail

### getMaximumValue

    public float getMaximumValue()

  Specified by:
    `getMaximumValue` in interface `MultiThumbModel<E>`

### getMinimumValue

    public float getMinimumValue()

  Specified by:
    `getMinimumValue` in interface `MultiThumbModel<E>`

### setMaximumValue

    public void setMaximumValue(float maximumValue)

  Specified by:
    `setMaximumValue` in interface `MultiThumbModel<E>`

### setMinimumValue

    public void setMinimumValue(float minimumValue)

  Specified by:
    `setMinimumValue` in interface `MultiThumbModel<E>`

### addThumbDataListener

    public void addThumbDataListener(ThumbDataListener listener)

  Specified by:
    `addThumbDataListener` in interface `MultiThumbModel<E>`

### removeThumbDataListener

    public void removeThumbDataListener(ThumbDataListener listener)

  Specified by:
    `removeThumbDataListener` in interface `MultiThumbModel<E>`

### thumbPositionChanged

    public void thumbPositionChanged(Thumb<E> thumb)

  Specified by:
    `thumbPositionChanged` in interface `MultiThumbModel<E>`

### fireThumbPositionChanged

    protected void fireThumbPositionChanged(Thumb<E> thumb)

### thumbValueChanged

    public void thumbValueChanged(Thumb<E> thumb)

  Specified by:
    `thumbValueChanged` in interface `MultiThumbModel<E>`

### fireThumbValueChanged

    protected void fireThumbValueChanged(Thumb<E> thumb)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.